## integrit 4.1

=== debian/changelog ===
integrit (4.1-6) unstable; urgency=medium

  * QA upload.
  * Remove most of the custom packaging code with debhelper classic.
    Left a few things as they were (like the custom mode and the
    manual strip) as I did not have time to understand them fully.
    Leaving them at the status quo was better than unintentionally
    breaking something that I did not understand.
  * Make the package build without requiring fakeroot.

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Nov 2024 13:34:25 +0000

integrit (4.1-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.1.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Added updated Homepage link to d/control.
  * Added d/watch file pointing to new home.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Apr 2024 23:33:49 +0200

integrit (4.1-4) unstable; urgency=medium

  * QA upload.
  * Build with default libc.

 -- Bastian Germann <bage@debian.org>  Mon, 24 Jul 2023 11:54:26 +0200

integrit (4.1-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007327)

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 00:14:34 +0100

integrit (4.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #907097)

 -- Marcos Talau <talau@debian.org>  Fri, 11 Nov 2022 06:13:37 -0300

integrit (4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply change from Andreas Henriksson to add a Built-Using field.
    (Closes: #847577)
  * Apply changes from Chris Lamb and Valerie R Young to make the
    build reproducible. (Closes: #776973, #846891)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 16:50:19 +0200

integrit (4.1-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: no longer build and install integrit program from 3.05.
  * debian/diff/doc-html.diff: rename to
    0001-doc-Makefile.in-properly-build-and-clean-html-doc.diff; adapt.
  * debian/rules: apply patches from debian/diff/ with -p1.
  * debian/diff/0002-allow-tTdD-in-config-rule-checksets-as-documented.diff:
    new; allow tTdD in config rule checksets as documented (closes: #436360).

 -- Gerrit Pape <pape@smarden.org>  Thu, 09 Aug 2007 21:39:58 +0000

integrit (4.0-1) unstable; urgency=low

  * new upstream release (closes: #381414).
  * debian/integrit.cron.daily: minor.
  * diff/doc-html.diff: adapt.
  * debian/implicit: update to revision 1.11.
  * integrit-3.05/: new; include sources of previous version in diff to
    help migration to new database format.
  * debian/rules: additionally build integrit program from version 3.05,
    and install as /usr/sbin/integrit3.
  * debian/integrit.NEWS.Debian: note on migration to new database format.

 -- Gerrit Pape <pape@smarden.org>  Mon, 16 Oct 2006 16:34:53 +0000

integrit (3.05-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restriction on Build-Depends:
    dietlibc-dev.
  * debian/copyright: 2005.
  * debian/integrit.cron.daily: head -1 -> head -n1.
  * debian/integrit.docs: add HACKING.
  * debian/integrit.examples: add examples/integrit-run.c.
  * debian/diff/gnupg-md5.diff, debian/diff/include-getopt.h.diff: remove;
    obsolete.
  * debian/rules: add -nostdinc to CC.
  * debian/integrit.NEWS.Debian: update: databases should be re-created
    manually with this version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 Sep 2005 22:15:39 +0000

integrit (3.02.00-11) unstable; urgency=low

  * debian/control, debian/rules: add Build-Depends: dietlibc-dev [amd64
    ppc64]; add ppc64 to DIET_ARCHS (thx Andreas Jochens, Frederik Schueler,
    closes: #301013, #301017).

 -- Gerrit Pape <pape@smarden.org>  Fri, 25 Mar 2005 10:42:43 +0000

integrit (3.02.00-10) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.28-0) to make diet
    compiled programs work with a kernel with stack protection (thx Csillag
    Tamas, closes: 299550).
  * debian/implicit: update to revision 1.10.
  * debian/rules: handle DIET_ARCHS and optional patches more gracefully;
    cleanup.

 -- Gerrit Pape <pape@smarden.org>  Tue, 22 Mar 2005 08:39:38 +0000

integrit (3.02.00-9) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.24-5) (closes:
    #232200).
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Fri, 26 Mar 2004 09:13:41 +0000

integrit (3.02.00-8) unstable; urgency=low

  * debian/rules: don't run dpkg-shlibdeps, integrit programs are linked
    statically even with glibc (fixes build failure on m68k).

 -- Gerrit Pape <pape@smarden.org>  Thu, 22 Jan 2004 08:24:46 +0000

integrit (3.02.00-7) unstable; urgency=low

  * debian/implicit: update to revision 1.5.
  * debian/rules: adapt.
  * debian/integrit.docs: remove debian/README.Debian, now installed
    implicitly.
  * debian/README.Debian: rename to debian/integrit.README.Debian.
  * debian/integrit.NEWS.Debian: new: cron job no longer replaces known.cdb
    (closes: #226706).

 -- Gerrit Pape <pape@smarden.org>  Tue, 20 Jan 2004 10:58:19 +0000

integrit (3.02.00-6) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Build-Depends:
    dietlibc-dev (>> 0.24-0), now also on s390; Standards-Version: 3.6.1.0.
  * debian/integrit.docs: add README.Debian.
  * debian/integrit.examples: don't use wildcard.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit rules.
  * debian/integrit.conffiles: new.
  * debian/compat, debian/integrit.dirs: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Wed, 17 Dec 2003 15:20:45 +0000

integrit (3.02.00-5) unstable; urgency=low

  * debian/integrit.debian.conf: change EMAIL_SUBJ to show the hostname
    (closes: #201837).

