=== debian/control ===
Source: integrit
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), texinfo,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/integrit/integrit
Vcs-Browser: https://salsa.debian.org/debian/integrit
Vcs-Git: https://salsa.debian.org/debian/integrit.git

Package: integrit
Architecture: any
Depends: ${shlibs:Depends},
Recommends: cron,
            mailx,
Description: file integrity verification program
 Integrit helps you determine whether an intruder has modified your
 system.  Without the use of integrit, a sysadmin wouldn't know if the
 programs used for investigating the system are trojan horses or not.
 Integrit works by creating a database that is a snapshot of the most
 essential parts of the system.  You put the database somewhere safe,
 and then later you can use it to make sure that no one has made any
 illicit modifications to your file system.
 .
 Integrit's key features are the small memory footprint, the design
 with unattended use in mind, intuitive cascading rulesets for the
 paths listed in the configuration file, the possibility of XML or
 human-readable output, and simultaneous checks and updates.
 .
 See http://integrit.sourceforge.net/ for more information.
